/* -*-mode: C++; style: K&R; c-basic-offset: 4 ; -*- */

/**
 *  main.h
 *   Simple driver for Steve's Simple Security Scanner.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 *  Steve Kemp
 *  ---
 *  http://www.steve.org.uk/
 *
 */



/**
 * Load and execute each LUA script in the given directory.
 * We call the function 'testHost' upon each loaded script,
 * so that must sexist.
 * @param directory The directory to examine scripts within.
 * @param host The host we're scanning.
 * @param port The port number to investigate.
 * @return The number of scripts which executed.
 */
int runScripts( char *directory, char *host, int port );


/**
 * Show the version of this program, and the CVS revision information
 * of all included source code.
 * @param program The name of this program, from argv[0]
 */
void showVersions( char *program );

 
/**
 * Show brief usage information for this binary.
 * @param program The name of this program, from argv[0]
 */
void showHelp( char *program );




