--
--  Test of the 'service_name_from_port'.
--
--  This function *should* return the port number used by the given service.
--
--   e.g.  service_by_port( 80 ) -> "www" .
--
--  We have a table of expected values and test them against the code here.


expected = {};


--
--  Empty table with ports 0-1024
--
for i=1,1024 do
  expected[i] = "";
end


--
--  Setup some values
--
expected[22]  = "ssh"
expected[25]  = "smtp"
expected[80]  = "www"
expected[110] = "pop3"

--
--  Iterate over all names + ports
--
for i,name in ipairs(expected) do

      --
      -- For each one we've set test we got what we expect.
      --
      if ( string.len(name) > 0 ) then
          calculated = service_name_from_port( i, "tcp" );
          if ( calculated ~= name ) then	
		print( "[FAIL] For port " .. i .. " we expected " .. name .. " but got " .. calculated)
	        sys.exit( 0 );
          else
                print( "[OK] " .. i .. " => " .. calculated );
          end
      end
      
end

